Open CASCADE Technology: ChFiDS_IndexedDataMapOfVertexListOfStripe Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ChFiDS_IndexedDataMapOfVertexListOfStripe Class Reference

`#include <ChFiDS_IndexedDataMapOfVertexListOfStripe.hxx>`

Inheritance diagram for ChFiDS_IndexedDataMapOfVertexListOfStripe:
[legend]

## Public Member Functions
| ChFiDS_IndexedDataMapOfVertexListOfStripe (const Standard_Integer NbBuckets=1)
ChFiDS_IndexedDataMapOfVertexListOfStripe & | Assign (const ChFiDS_IndexedDataMapOfVertexListOfStripe &Other)
ChFiDS_IndexedDataMapOfVertexListOfStripe & | operator= (const ChFiDS_IndexedDataMapOfVertexListOfStripe &Other)
void | ReSize (const Standard_Integer NbBuckets)
void | Clear ()
| ~ChFiDS_IndexedDataMapOfVertexListOfStripe ()
Standard_Integer | Add (const TopoDS_Vertex &K, const ChFiDS_ListOfStripe &I)
void | Substitute (const Standard_Integer I, const TopoDS_Vertex &K, const ChFiDS_ListOfStripe &T)
void | RemoveLast ()
Standard_Boolean | Contains (const TopoDS_Vertex &K) const
const TopoDS_Vertex & | FindKey (const Standard_Integer I) const
const ChFiDS_ListOfStripe & | FindFromIndex (const Standard_Integer I) const
const ChFiDS_ListOfStripe & | operator() (const Standard_Integer I) const
ChFiDS_ListOfStripe & | ChangeFromIndex (const Standard_Integer I)
ChFiDS_ListOfStripe & | operator() (const Standard_Integer I)
Standard_Integer | FindIndex (const TopoDS_Vertex &K) const
const ChFiDS_ListOfStripe & | FindFromKey (const TopoDS_Vertex &K) const
ChFiDS_ListOfStripe & | ChangeFromKey (const TopoDS_Vertex &K)
Standard_Address | FindFromKey1 (const TopoDS_Vertex &K) const
Standard_Address | ChangeFromKey1 (const TopoDS_Vertex &K)
Public Member Functions inherited from TCollection_BasicMap
Standard_Integer | NbBuckets () const
| Returns the number of buckets in <me>. More...
Standard_Integer | Extent () const
| Returns the number of keys already stored in <me>. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. This is exactly Extent() == 0. More...
void | Statistics (Standard_OStream &S) const
| Prints on <S> usefull statistics about the map <me>. It can be used to test the quality of the hashcoding. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMap
| TCollection_BasicMap (const Standard_Integer NbBuckets, const Standard_Boolean single)
| Initialize the map. Single is True when the map uses only one table of buckets. More...
Standard_Boolean | BeginResize (const Standard_Integer NbBuckets, Standard_Integer &NewBuckets, Standard_Address &data1, Standard_Address &data2) const
| Tries to resize the Map with NbBuckets. Returns True if possible, NewBuckts is the new nuber of buckets. data1 and data2 are the new tables of buckets where the data must be copied. More...
void | EndResize (const Standard_Integer NbBuckets, const Standard_Integer NewBuckets, const Standard_Address data1, const Standard_Address data2)
| If BeginResize was succesfull after copying the data to data1 and data2 this methods update the tables and destroys the old ones. More...
Standard_Boolean | Resizable () const
| Returns True if resizing the map should be considered. More...
void | Increment ()
| Decrement the extent of the map. More...
void | Decrement ()
| Decrement the extent of the map. More...
void | Destroy ()
| Destroys the buckets. More...
Protected Attributes inherited from TCollection_BasicMap
Standard_Address | myData1
Standard_Address | myData2

## Constructor & Destructor Documentation

ChFiDS_IndexedDataMapOfVertexListOfStripe::ChFiDS_IndexedDataMapOfVertexListOfStripe | ( | const Standard_Integer | NbBuckets = `1` | ) |

ChFiDS_IndexedDataMapOfVertexListOfStripe::~ChFiDS_IndexedDataMapOfVertexListOfStripe | ( |  | ) |
| inline

## Member Function Documentation

Standard_Integer ChFiDS_IndexedDataMapOfVertexListOfStripe::Add | ( | const TopoDS_Vertex & | K,
|  | const ChFiDS_ListOfStripe & | I
| ) |  |

ChFiDS_IndexedDataMapOfVertexListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::Assign | ( | const ChFiDS_IndexedDataMapOfVertexListOfStripe & | Other | ) |

ChFiDS_ListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::ChangeFromIndex | ( | const Standard_Integer | I | ) |

ChFiDS_ListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::ChangeFromKey | ( | const TopoDS_Vertex & | K | ) |

Standard_Address ChFiDS_IndexedDataMapOfVertexListOfStripe::ChangeFromKey1 | ( | const TopoDS_Vertex & | K | ) |

void ChFiDS_IndexedDataMapOfVertexListOfStripe::Clear | ( |  | ) |

Standard_Boolean ChFiDS_IndexedDataMapOfVertexListOfStripe::Contains | ( | const TopoDS_Vertex & | K | ) | const

const ChFiDS_ListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::FindFromIndex | ( | const Standard_Integer | I | ) | const

const ChFiDS_ListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::FindFromKey | ( | const TopoDS_Vertex & | K | ) | const

Standard_Address ChFiDS_IndexedDataMapOfVertexListOfStripe::FindFromKey1 | ( | const TopoDS_Vertex & | K | ) | const

Standard_Integer ChFiDS_IndexedDataMapOfVertexListOfStripe::FindIndex | ( | const TopoDS_Vertex & | K | ) | const

const TopoDS_Vertex& ChFiDS_IndexedDataMapOfVertexListOfStripe::FindKey | ( | const Standard_Integer | I | ) | const

const ChFiDS_ListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::operator() | ( | const Standard_Integer | I | ) | const
| inline

ChFiDS_ListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::operator() | ( | const Standard_Integer | I | ) |
| inline

ChFiDS_IndexedDataMapOfVertexListOfStripe& ChFiDS_IndexedDataMapOfVertexListOfStripe::operator= | ( | const ChFiDS_IndexedDataMapOfVertexListOfStripe & | Other | ) |
| inline

void ChFiDS_IndexedDataMapOfVertexListOfStripe::RemoveLast | ( |  | ) |

void ChFiDS_IndexedDataMapOfVertexListOfStripe::ReSize | ( | const Standard_Integer | NbBuckets | ) |

void ChFiDS_IndexedDataMapOfVertexListOfStripe::Substitute | ( | const Standard_Integer | I,
|  | const TopoDS_Vertex & | K,
|  | const ChFiDS_ListOfStripe & | T
| ) |  |

The documentation for this class was generated from the following file:

- ChFiDS_IndexedDataMapOfVertexListOfStripe.hxx